<?
if(isset($_GET['sh_myfarm']) && isset($_GET['sh_seat']) && intval($_GET['sh_seat'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_sh` WHERE `id` = '".intval($_GET['sh_seat'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0)
{
echo '<div class="event"><h1>Ископаемые</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
$ground=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_ground_sh` WHERE `id` = '".intval($_GET['sh_seat'])."' AND `id_user` = '$ku[id]'"));

if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_plant_sh` WHERE `id` = '".intval($_GET['select'])."'"));
if($ku['rubies']>=$plant['cena'])
{
$money=$plant['cena'];
if(isset($seeder_act_skid))
{
$money=floor($money-(($money/100)*$seeder_act_skid));
}
$rat=$plant['rating'];

$rat_sc_act=0;
$rat_drakon_act=0;
$rat_seeder_sh_act=0;
$rat_school_act=0;
$rat_lib_act=0;


//Ветряк
if(isset($sc_act)){$rat_sc_act=$rat*2;
if(isset($vtr_act))$rat_sc_act=$rat*2*4;}else{
if(isset($vtr_act))$rat_sc_act=$rat*4;
}
//Ветряк

if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($plant['rating']/100)*300);
if(isset($seeder_sh_act))$rat_seeder_sh_act=(($rat/100)*$seeder_sh_act);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($shmel_act))$rat_seeder_sh_act=$rat_seeder_sh_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_seeder_sh_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;

if(isset($dexp))$rat=$rat*2;

if($gos['id_plant']==$plant['id'] && $gos['type']=='rating' && isset($mc))$rat=$rat*2;
mysql_querll("UPDATE `kolhoz_ground_sh` SET `id_plant` = '$plant[id]', `time_soil` = '".($time+$plant['time_soil'])."', `time_water` = '".($time+120)."', `soil` = '0', `time` = '".($plant['time']+$time)."' WHERE `id` = '$ground[id]' LIMIT 1");
mysql_querll("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$money)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
mysql_querll("UPDATE `kolhoz_user` SET `last_plant_sh` = '$plant[id]' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
}
else
{
$nm=$plant['cena']-$ku['rubies'];
$_SESSION['no_rubies']=$nm;
}
header("Location:?sh_myfarm".$peremenn."&".passgen());
exit;
}
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_plant_sh` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='img/shaht/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='?sh_myfarm&sh_seat=$ground[id]&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='img/icons/ruby.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='small minor'> Время добычи: <span class='title'>".time_left($post['time'])."</span>, Время до кормления шахтеров: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='img/icons/ruby.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='img/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Добыча: <span>$post[count]</span> <span>г.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?sh_myfarm&sh_seat=$ground[id]&",$k_page,$page); // Вывод страниц
echo "</div>";
include_once 'inc/foot.php';
}
?>